## c3rb3ru5d3d53c-binlex.zip

=== Makefile ===
OUTPUT_DIRECTORY = target

all:
	@cargo build --release

zst:
	@cargo build --release
	@makepkg
	@mkdir -p $(OUTPUT_DIRECTORY)/zst/
	@for file in *.pkg.tar.zst; do \
		echo "Moving $$file to $(OUTPUT_DIRECTORY)/zst/..."; \
		mv "$$file" $(OUTPUT_DIRECTORY)/zst/; \
	done

deb:
	@cargo install cargo-deb
	@cargo deb

wheel:
	virtualenv -p python3 venv/
	. venv/bin/activate && \
		cd src/bindings/python/ && \
		pip install maturin[patchelf] && \
		maturin build --release

clean:
	@rm -rf pkg/
	@cargo clean

=== scripts/bltensor/requirements.txt ===
onnx==1.17.0
tf2onnx==1.16.1
numpy==2.0.2
tensorflow==2.18.0
onnxruntime==1.20.0

=== scripts/plugins/ida/requirements.txt ===
jq=1.8.0

=== PKGBUILD ===
pkgname=binlex
pkgver=$(grep '^version =' Cargo.toml | awk -F\" '{print $2}')
pkgrel=1
pkgdesc="A Binary Genetic Trait Lexer Framework"
arch=('x86_64')
license=('LGPL')

build() {
  local builddir="$(dirname "$(realpath "${BASH_SOURCE[0]}")")"
}

package() {
    local builddir="$(dirname "$(realpath "${BASH_SOURCE[0]}")")"
    install -Dm755 "$builddir/target/release/binlex" "$pkgdir/usr/bin/binlex"
    install -Dm755 "$builddir/target/release/blhash" "$pkgdir/usr/bin/blhash"
    install -Dm755 "$builddir/target/release/blimage" "$pkgdir/usr/bin/blimage"
    install -Dm755 "$builddir/target/release/blmachosym" "$pkgdir/usr/bin/blmachosym"
    install -Dm755 "$builddir/target/release/blpdb" "$pkgdir/usr/bin/blpdb"
    install -Dm755 "$builddir/target/release/blrizin" "$pkgdir/usr/bin/blrizin"
    install -Dm755 "$builddir/target/release/blyara" "$pkgdir/usr/bin/blyara"
}
